UserGroupResource
RESTful endpoint for managing this Controller's user groups.
The following resources are applicable:
/controller/user-groups/{group}
Mount Point: /rest/controller/user-groups/{group}
The following operations are supported on this resource:
PUT
Updates a new user group.
Parameters
| name | description | type | default |
|---|---|---|---|
| group | The name of the group. | path | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| userIds[] | A collection of user ids to include in this group. If a user already belongs to another group, they will be placed in this group instead. Existing users in this group will remain in this group. | form | |
| authorities[] | Array of authorities to assign to the specified user. | form | |
| status | The status of the specified users account. | form |
Request Body
| element: | formParams |
| media types: | application/x-www-form-urlencoded |
(no documentation provided)
Response Body
| element: | userGroupEntity |
| media types: | application/xml application/json |
A userGroupEntity.
PUT
Creates a new user group with the specified users.
Parameters
| name | description | type | default |
|---|---|---|---|
| group | The user group. | path |
Request Body
| element: | userGroupEntity |
| media types: | application/xml application/json |
A userGroupEntity.
Response Body
| element: | userGroupEntity |
| media types: | application/xml application/json |
A userGroupEntity.
DELETE
Deletes the user group. The users will not be removed, just the fact that they were grouped.
Parameters
| name | description | type | default |
|---|---|---|---|
| group | The user group. | path | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query |
Response Body
| element: | userGroupEntity |
| media types: | application/xml application/json |
A userGroupEntity.
/controller/user-groups/{group}/users/{userId}
Mount Point: /rest/controller/user-groups/{group}/users/{userId}
DELETE
Deletes the user from the specified group. The user will not be removed, just the fact that they were in this group.
Parameters
| name | description | type | default |
|---|---|---|---|
| group | The user group. | path | |
| userId | The user id to remove. | path | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query |
Response Body
| element: | userGroupEntity |
| media types: | application/xml application/json |
A userGroupEntity.